### Method

# Gtk PrintJob set_page_ranges

#### Declaration [src]

    void
    gtk_print_job_set_page_ranges (
      GtkPrintJob* job,
      GtkPageRange* ranges,
      int n_ranges
    )

#### Description [src]

Sets the page ranges for this job.

#### Parameters

`ranges` | An array of `GtkPageRange`
| Pointer to an array of `GtkPageRange` structs.
| The length of the array is specified in the `n_ranges` argument.
| The instance takes ownership of the data, and is responsible for freeing it.
`n_ranges` | `int`
| The length of the `ranges` array.